Skip to main content
GET
/
media
List media files
curl --request GET \
  --url https://api.social-api.ai/v1/media \
  --header 'Authorization: <api-key>'
{
  "count": 42,
  "cursor": "<string>",
  "data": [
    {
      "content_type": "image/jpeg",
      "created_at": "2026-03-20T09:00:00Z",
      "filename": "photo.jpg",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "size_bytes": 2048576,
      "status": "ready",
      "url": "https://s3.example.com/media/..."
    }
  ]
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Query Parameters

limit
integer

Max results (default 50, max 100)

cursor
string

Pagination cursor (media ID)

Response

OK

count
integer
Example:

42

cursor
string
data
object[]